<?php

/*************************************************************************
 * Username Change - XenConcept (c) 2017
 * All Rights Reserved.
 **************************************************************************
 * This file is subject to the terms and conditions defined in the Licence
 * Agreement available at Try it like it buy it :)
 *************************************************************************/

namespace XenConcept\UsernameChange\Alert;
use XF\Alert\AbstractHandler;
use XF\Entity\UserAlert;

class UsernameChange extends AbstractHandler
{
    public function getEntityWith()
    {
        return ['User'];
    }

    public function canViewAlert(UserAlert $alert, &$error = null)
    {
        return true;
    }

    public function getTemplateName($action)
    {
        return 'public:xc_username_change_alert_' . $action;
    }

    public function getPushTemplateName($action)
    {
        return 'public:xc_username_change_push_' . $action;
    }

    public function getOptOutDisplayOrder()
    {
        return 20005;
    }
}